which-pkg-broke-build(1)

NAME
which-pkg-broke-build - find which package might have broken another package's build

SYNOPSIS
which-pkg-broke-build [.]
which-pkg-broke-build <source-directory>
which-pkg-broke-build <source-package>

DESCRIPTION
The which-pkg-broke-build program will retrieve a list of all (recursive) build-dependencies of the named package sorted by the time they were installed on the system (as determined from the mtime information of /var/lib/dpkg/info/*.list .

This tool allows a package developer to obtain information that might correlate installation of package build-dependencies with a package build breakage in order to find which build-dependency update might be responsible for the breakage.

PARAMETERS
If there's a parameter and it's an existing directory, which-pkg-broke-build assumes that this is an unpacked Debian source package and looks for its build-dependencies.

If there's a parameter and it's not an existing directory, which-pkg-broke-build assumes that it's a source package name and looks for that source package's build-dependencies.

If there's no parameter, which-pkg-broke-build assumes that the current directory contains an unpacked Debian source package and looks for its build-dependencies.

BUGS
which-pkg-broke-build is horribly slow and inefficient as it calls which-pkg-broke once for each explicit build-dependency (and once for the package build-essential). It hence checks packages which are dependencies of multiple explicit build-dependencies also multiple times.

SEE ALSO
which-pkg-broke(1)

AUTHOR
which-pkg-broke-build was written by Axel Beckert <abe@debian.org>